Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ddf.minim
Class AudioMetaData

    java.lang.Object
      ddf.minim.AudioMetaData

    public abstract class AudioMetaData

extends java.lang.Object

AudioMetaData provides information commonly found in ID3 tags. However, other audio formats, such as Ogg, can contain similar information. So rather than refer to this information as ID3Tags or similar, I simply call it metadata. This base class returns the empty string or -1 from all methods and derived classes are expected to simply override the methods that they have information for. This is a little less brittle than using an interface because later on new properties can be added without breaking existing code.

Constructor Summary
`AudioMetaData()`

Method Summary
`java.lang.String` | `album()`
`java.lang.String` | `author()`
`java.lang.String` | `comment()`
`java.lang.String` | `composer()`
`java.lang.String` | `copyright()`
`java.lang.String` | `date()`
`java.lang.String` | `disc()`
`java.lang.String` | `encoded()`
`java.lang.String` | `fileName()`
`java.lang.String` | `genre()`
`int` | `length()`
`java.lang.String` | `orchestra()`
`java.lang.String` | `publisher()`
`java.lang.String` | `title()`
`int` | `track()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioMetaData

    public AudioMetaData()

Method Detail

### length

    public int length()

  Returns:
    the length of the recording in milliseconds.

### fileName

    public java.lang.String fileName()

  Returns:
    the name of the file / URL of the recording.

### title

    public java.lang.String title()

  Returns:
    the title of the recording

### author

    public java.lang.String author()

  Returns:
    the author or the recording

### album

    public java.lang.String album()

### date

    public java.lang.String date()

### comment

    public java.lang.String comment()

### track

    public int track()

### genre

    public java.lang.String genre()

### copyright

    public java.lang.String copyright()

### disc

    public java.lang.String disc()

### composer

    public java.lang.String composer()

### orchestra

    public java.lang.String orchestra()

### publisher

    public java.lang.String publisher()

### encoded

    public java.lang.String encoded()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD